--- a/build-aux/bootstrap
+++ b/build-aux/bootstrap
@@ -237,14 +237,14 @@ test -r "$conffile" && . "$conffile"
 
 check_exists() {
   if test "$1" = "--verbose"; then
-    ($2 --version </dev/null) >/dev/null 2>&1
+    ($2 $3 $4 --version </dev/null) >/dev/null 2>&1
     if test $? -ge 126; then
       # If not found, run with diagnostics as one may be
       # presented with env variables to set to find the right version
-      ($2 --version </dev/null)
+      ($2 $3 $4 --version </dev/null)
     fi
   else
-    ($1 --version </dev/null) >/dev/null 2>&1
+    ($@ --version </dev/null) >/dev/null 2>&1
   fi
 
   test $? -lt 126
@@ -309,7 +309,7 @@ p
 q'
 
 get_version() {
-  app=$1
+  app="$@"
 
   $app --version >/dev/null 2>&1 || { $app --version; return 1; }
 
@@ -366,13 +366,13 @@ check_versions() {
     if [ "$req_ver" = "-" ]; then
       # Merely require app to exist; not all prereq apps are well-behaved
       # so we have to rely on $? rather than get_version.
-      if ! check_exists --verbose $app; then
+      if ! check_exists --verbose "$app"; then
         warn_ "Error: '$app' not found"
         ret=1
       fi
     else
       # Require app to produce a new enough version string.
-      inst_ver=$(get_version $app)
+      inst_ver=$(get_version "$app")
       if [ ! "$inst_ver" ]; then
         warn_ "Error: '$app' not found"
         ret=1
@@ -1135,7 +1135,7 @@ autogen()
   # two just-pre-run programs.
 
   # Import from gettext.
-  with_gettext=yes
+  with_gettext=no
   grep '^[	 ]*AM_GNU_GETTEXT_VERSION(' configure.ac >/dev/null || \
       with_gettext=no
 
